Subject: Re: [PATCH 20/40] Windows: A rudimentary poll() emulation.

From: Robin Rosenberg <[email-masked]>
Date: Sat, 1 Mar 2008 16:48:38 +0100

Den Thursday 28 February 2008 21.49.36 skrev Johannes Sixt:
> On Thursday 28 February 2008 10:36, Paolo Bonzini wrote:
> > For the future, would it be better to first use WaitForMultipleObjects,
> > and then use PeekNamedPipe to find which handles have data on it?
> > That's how the mingw port of GNU Smalltalk does it.
>
> I tried but I failed. If you can show me code where WaitForMultipleObjects
> works on handles that MSVCRT.DLL's open() created, I'll gladly accept it!

Have you checked _get_osfhandle? There's a warning though in the knowledgebase
with number 99173, though. There's also another function that works the other 
way, _open_osfhandle.

-- robin